YepAPI
YouTube API

Home Feed

Get the YouTube homepage feed with algorithmically recommended videos.

POST/v1/youtube/home
$0.01/call

Usage

const res = await fetch('https://api.yepapi.com/v1/youtube/home', {
  method: 'POST',
  headers: {
    'x-api-key': 'YOUR_API_KEY',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({ geo: 'US' }),
});
const { data } = await res.json();
console.log(data.data); // array of recommended videos
curl -X POST https://api.yepapi.com/v1/youtube/home \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"geo": "US"}'

Request Body

ParameterTypeRequiredDescriptionDefault
geostringNoCountry code (e.g. US)
langstringNoLanguage code (e.g. en)
tokenstringNoContinuation token for pagination

Response

{
  "ok": true,
  "data": {
    "filters": [
      { "filter": "All" },
      { "filter": "Music", "continuation": "4qmF..." },
      { "filter": "News", "continuation": "4qmF..." }
    ],
    "continuation": "4qmF...",
    "data": [
      {
        "type": "video",
        "videoId": "LhpZJwUboeI",
        "title": "Samay Raina - STILL ALIVE (Full Special)",
        "channelTitle": "Samay Raina",
        "channelId": "UCAov2BBv1ZJav0c_yHEciAw",
        "channelHandle": "@SamayRainaOfficial",
        "description": "",
        "viewCountText": "46M views",
        "publishDate": "2026-04-07",
        "publishedAt": "2026-04-07T00:00:00Z",
        "publishedTimeText": "6 days ago"
      },
      {
        "type": "shorts_listing",
        "data": [
          {
            "videoId": "...",
            "title": "Short Title",
            "viewCountText": "1.2M views"
          }
        ]
      }
    ]
  }
}

Response Fields

FieldTypeDescription
okbooleanWhether the request succeeded
data.filtersobject[]Available content category filters (e.g. All, Music, News, Gaming)
data.filters[].filterstringFilter label
data.filters[].continuationstringToken to fetch results for this specific filter
data.continuationstringToken to fetch the next page of results
data.dataobject[]Mixed array of videos, shorts listings, and video listings
data.data[].typestringContent type: video, shorts_listing, video_listing, or ad
data.data[].videoIdstringUnique YouTube video identifier (for video type)
data.data[].titlestringVideo title as displayed on YouTube
data.data[].channelTitlestringName of the channel that uploaded the video
data.data[].channelIdstringUnique identifier for the channel
data.data[].channelHandlestringChannel handle (e.g. @SamayRainaOfficial)
data.data[].viewCountTextstringHuman-readable view count (e.g. 46M views)
data.data[].publishDatestringPublish date in YYYY-MM-DD format
data.data[].publishedAtstringPublish date as ISO 8601 timestamp
data.data[].publishedTimeTextstringRelative publish time (e.g. 6 days ago)
data.data[].descriptionstringVideo description snippet

On this page